Bug 28412 - Add supported authentication methods documentation
Summary: Add supported authentication methods documentation
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: REST API (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-21 11:52 UTC by Tomás Cohen Arazi
Modified: 2021-10-01 18:31 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28412: Add information about supported authentication methods (1.82 KB, patch)
2021-05-27 20:06 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 28412: Add information about supported authentication methods (1.89 KB, patch)
2021-09-07 13:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 28412: Add information about supported authentication methods (1.94 KB, patch)
2021-09-08 13:02 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2021-05-21 11:52:38 UTC
We should add a section about authentication mechanisms in swagger.yaml.
Comment 1 Tomás Cohen Arazi 2021-05-27 20:06:09 UTC
Created attachment 121462 [details] [review]
Bug 28412: Add information about supported authentication methods

This patch adds an initial text explaining the valid authentication
mechanisms Koha has for the API.

My first approach included information about the controlling sysprefs,
but I decided to remove it, as it is not usual for API consumers to be
presented such detailed internal information which is probably
confusing. We could add a link to the manual, but that's not the point I
think.

I've added an entry about error messages and how we thougth about them.
It is copied from Docker Engine's API docs.

This is my 2 cents.
Comment 2 Kyle M Hall 2021-09-07 13:16:29 UTC
Created attachment 124581 [details] [review]
Bug 28412: Add information about supported authentication methods

This patch adds an initial text explaining the valid authentication
mechanisms Koha has for the API.

My first approach included information about the controlling sysprefs,
but I decided to remove it, as it is not usual for API consumers to be
presented such detailed internal information which is probably
confusing. We could add a link to the manual, but that's not the point I
think.

I've added an entry about error messages and how we thougth about them.
It is copied from Docker Engine's API docs.

This is my 2 cents.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Martin Renvoize 2021-09-08 13:02:35 UTC
Created attachment 124657 [details] [review]
Bug 28412: Add information about supported authentication methods

This patch adds an initial text explaining the valid authentication
mechanisms Koha has for the API.

My first approach included information about the controlling sysprefs,
but I decided to remove it, as it is not usual for API consumers to be
presented such detailed internal information which is probably
confusing. We could add a link to the manual, but that's not the point I
think.

I've added an entry about error messages and how we thougth about them.
It is copied from Docker Engine's API docs.

This is my 2 cents.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Jonathan Druart 2021-09-21 18:19:00 UTC
Pushed to master for 21.11, thanks to everybody involved!